<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Science and Engineering Ethics (2001)</title>
  </head>
  <body>
    <p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>

    <!-- Creates a horizontal rule -->
    <hr />

    <!-- Creates a heading text  -->
    <h1>
      Software Engineering Code of Ethics and <br />
      Professional Practice
    </h1>

    <!-- Creates a smaller heading text -->
    <h3>
      IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and
      Professional <br />
      Practices
    </h3>

    <!-- Creates a horizontal rule -->
    <hr />

    <!-- Creates a paragraph text -->
    <p>
      <b>Keywords</b>: code of ethics, professional responsibility, software
      engineering <br />
    </p>

    <h4>PREAMBLE</h4>

    <p>
      The short version of the code summarizes aspirations at a high level of
      abstraction. The clauses that <br />
      are included in the full version give examples and details of how these
      aspirations change the way we <br />
      act as software engineering professionals. Without the aspirations, the
      details can become legalistic <br />
      and tedious; without the details, the aspirations can become high-sounding
      but empty; together, the <br />
      aspirations and the details form a cohesive code.
      <br />
      <br />

      Software engineers shall commit themselves to making the analysis,
      specification,design,<br />
      development, testing and maintenance of software a beneficial and
      respected profession. In <br />
      accordance with their commitment tot he health, safety, and welfare of the
      public, software engineers<br />
      shall adhere to the following eight Principles:
    </p>

    <h4>PRINCIPLES</h4>

    <!-- Creates an ordered list with numbered points -->
    <ol>
      <li>
        <em>Public</em>. Software engineers shall act consistently with the
        public interest.
      </li>
      <li>
        <em>Client and employer</em>. Software engineers shall act in a manner
        that is in the best interest of their <br />
        client and employer, consistent with the public interest.
      </li>
      <li>
        <em>Product</em>. Software engineers shall ensure that their prodicts
        and related modifications meet the <br />
        highest professional standards possible.
      </li>
      <li>
        <em>Judgement</em>. Software engineers shall maintain integrity and
        independence in their professional <br />
        judgement.
      </li>
      <li>
        <em>Management</em>. Software engineering managers and leaders shall
        subscribe to and promote an <br />
        ethical approach to the management of software development and
        maintenance.
      </li>
      <li>
        <em>Profession</em>. Software engineers shall advance the integrity and
        reputation of the profession <br />
        consistent with the public interest.
      </li>
      <li>
        <em>Colleagues</em>. Software engineers shall be fair to and supportive
        of their colleagues.
      </li>
      <li>
        <em>Self</em>. Software engineers shall participate in lifelong learning
        regarding the practice of their <br />
        profession and shall promote and ethical approach to the practice of the
        profession
      </li>
    </ol>
  </body>
</html>
